package com.persagy.fm.common.model.dto;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import net.minidev.json.annotate.JsonIgnore;

import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * @description: 分页条件
 * @author: lixing
 * @company: Persagy Technology Co.,Ltd
 * @since: 2020/10/13 3:23 下午
 * @version: V1.0
 **/
@Data
public class PageDTO {
    @ApiModelProperty(value = "当前页数", required = true)
    @NotNull(message = "当前页数不能为空")
    private Integer page;

    @ApiModelProperty(value = "每页条数", required = true)
    @NotNull(message = "每页条数不能为空")
    private Integer size;
    @ApiModelProperty(value = "排序方式")
    private List<Sort> orders;

    @JsonIgnore
    @ApiModelProperty(hidden = true)
    private Integer startIndex;

    public Integer getStartIndex() {
        if (page == null || size == null) {
            return 0;
        }
        return (page -1) * size;
    }
}

